# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.youtube
Enum YtStatus.Value

    java.lang.Object
      java.lang.Enum<YtStatus.Value>
          com.google.gdata.data.youtube.YtStatus.Value

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<YtStatus.Value>

Enclosing class:
  YtStatus

    public static enum YtStatus.Value

extends java.lang.Enum<YtStatus.Value>

Status value.

Enum Constant Summary
`ACCEPTED`
`PENDING`
`REJECTED`
`REQUESTED`

Method Summary
`static YtStatus.Value` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static YtStatus.Value[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PENDING

    public static final YtStatus.Value PENDING

### ACCEPTED

    public static final YtStatus.Value ACCEPTED

### REJECTED

    public static final YtStatus.Value REJECTED

### REQUESTED

    public static final YtStatus.Value REQUESTED

Method Detail

### values

    public static YtStatus.Value[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (YtStatus.Value c : YtStatus.Value.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static YtStatus.Value valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null